PShader luz;
PShape planeta;

void setup() {
  size(600, 600, P3D);
  luz = loadShader("luz_frag.glsl", "luz_vert.glsl");
  shader(luz);
  planeta = createShape(SPHERE, 200);
  planeta.setStroke(false);
}

void draw() {
  background(0);
  fill(100, 0, 255);
  translate(width/2, height/2);
  pointLight(255, 0, 0, 0, 0, 500);
  rotateY(0.01 * frameCount);
  shape(planeta);
}