PShader luztex;
PImage tex;
PShape planeta;

void setup() {
  size(600, 600, P3D);
  //sphereDetail(10);
  luztex = loadShader("luztex_frag.glsl", "luztex_vert.glsl");
  tex = loadImage("earthmap1k.jpg");
  shader(luztex);
  textureMode(NORMAL);
  planeta = createShape(SPHERE, 200);
  planeta.setTexture(tex);
  planeta.setStroke(false);
}

void draw() {
  background(0);
  fill(255);
  translate(width/2, height/2);
  pointLight(255, 255, 255, 0, 0, 500);
  rotateY(0.01 * frameCount);
  shape(planeta);
}