PShader bump;
PImage sup;
PImage alt;
PShape planeta;
PGraphics nubes;
PShape planeta2;

void setup() {
  size(600, 600, P3D);
  bump = loadShader("texluz_frag.glsl", "texluz_vert.glsl");
  sup = loadImage("earthmap1k.jpg");
  alt = loadImage("earthbump1k.jpg");
  bump.set("bumpMap", alt); //<>//
  planeta = createShape(SPHERE, 200);
  planeta.setTexture(sup);
  planeta.setStroke(false);
  
  nubes = createGraphics(sup.width, sup.height, P2D);
  nubes.beginDraw();
  for (int x = 0; x < nubes.width; x++) {
    for (int y = 0; y < nubes.height; y++) {
      float f = 255  * noise(0.01 * x, 0.01 * y);
      nubes.stroke(255, f);
      nubes.point(x, y);
    }
  }
  nubes.endDraw();
  planeta2 = createShape(SPHERE, 201);
  planeta2.setTexture(nubes);
  planeta2.setStroke(false);
  
}

void draw() {
  background(0);

  translate(width/2, height/2);
  rotateY(map(mouseX, 0, width, 0, TWO_PI));
  
  

  shader(bump);
  fill(255);  
  pointLight(255, 255, 255, 0, 0, 500);
  shape(planeta);
  resetShader();
  
  shape(planeta2);
}