PShader texturado;
PImage tierraTex;

void setup() {
  size(600, 600, P3D);
  
  tierraTex = loadImage("earthmap1k.jpg");
  textureMode(NORMAL);
  
  texturado = loadShader("frag.glsl", "vert.glsl");
  shader(texturado);
}

void draw() {
  background(0);
  translate(width/2, height/2);
  
  beginShape();
  texture(tierraTex);
  vertex(-200, -200, 0, 0);
  vertex(+200, -200, 1, 0);
  vertex(+200, +200, 1, 1);
  vertex(-200, +200, 0, 1);
  endShape();
}