uniform mat4 transform;
uniform mat4 texMatrix;
uniform vec2 puntero;

attribute vec4 position;
attribute vec4 color;
attribute vec2 texCoord;

varying vec4 vertColor;
varying vec4 vertTexCoord;

void main() {
  gl_Position = transform * position;
  vertColor = color;

  vec2 escala = puntero/600;

  vertTexCoord = vec4(escala * texCoord, 0, 0);
  // vertTexCoord = vec4(texCoord, 0, 0);
}