PImage tex;
PShader texturado;
PShape planeta;

void setup() {
  size(600, 600, P3D);
  tex = loadImage("earthmap1k.jpg");
  texturado = loadShader("frag_tex.glsl", "vert_tex.glsl");  
  shader(texturado);
  textureMode(NORMAL);
  planeta = createShape(SPHERE, 200);
  planeta.setTexture(tex);
  planeta.setStroke(false);
}

void draw() {
  background(0);
  translate(width/2, height/2);
  rotateY(0.01 * frameCount);
  
  texturado.set("puntero", float(mouseX), float(mouseY));  
  shape(planeta);
}