uniform vec3 lightDiffuse;

varying vec4 vertColor;
varying vec3 vertNormal;
varying vec3 vertLightDir;

void main() {
  float lumi = abs(dot(vertLightDir, vertNormal));
  gl_FragColor = vec4(lumi, lumi, lumi, 1) * vec4(lightDiffuse, 1) * vertColor;
}