PShader texluz;
PImage sup;
PShape planeta;

void setup() {
  size(600, 600, P3D);
  texluz = loadShader("texluz_frag.glsl", "texluz_vert.glsl");
  sup = loadImage("earthmap1k.jpg");
  shader(texluz); //<>//
  planeta = createShape(SPHERE, 200);
  planeta.setTexture(sup);
  planeta.setStroke(false);
}

void draw() {
  background(0);
  fill(255);
  translate(width/2, height/2);
  pointLight(255, 255, 255, 0, 0, 500);
  rotateY(0.01 * frameCount);
  shape(planeta);
}