PShader bump;
PImage sup;
PImage alt;
PShape planeta;

void setup() {
  size(600, 600, P3D);
  bump = loadShader("texluz_frag.glsl", "texluz_vert.glsl");
  sup = loadImage("earthmap1k.jpg");
  alt = loadImage("earthbump1k.jpg");
  shader(bump); //<>//
  bump.set("bumpMap", alt);
  planeta = createShape(SPHERE, 200);
  planeta.setTexture(sup);
  planeta.setStroke(false);
}

void draw() {
  background(0);
  fill(255);
  translate(width/2, height/2);
  pointLight(255, 255, 255, 0, 0, 500);
  rotateY(map(mouseX, 0, width, 0, TWO_PI));
  shape(planeta);
}