PShader texturado;
PShape tierra;
PImage tierraTex;

void setup() {
  size(600, 600, P3D);
  
  tierraTex = loadImage("earthmap1k.jpg");

  texturado = loadShader("frag.glsl", "vert.glsl");
  shader(texturado);
  
  tierra = createShape(SPHERE, 200);
  tierra.setTexture(tierraTex);
  tierra.setStroke(false);
}

void draw() {
  background(0);
  translate(width/2, height/2);
  rotateY(0.01 * frameCount);
  shape(tierra);
}