PImage tex;
PShader texturado;

void setup() {
  size(600, 600, P3D);
  tex = loadImage("earthmap1k.jpg");
  texturado = loadShader("frag_tex.glsl", "vert_tex.glsl");  
  shader(texturado);
  textureMode(NORMAL);
}

void draw() {
  background(0);
  translate(width/2, height/2);
  //rotateY(0.01 * frameCount);
  
  texturado.set("puntero", float(mouseX), float(mouseY));
  
  beginShape(QUADS);
  texture(tex);
  vertex(-250, -250, 0, 0);
  vertex(+250, -250, 1, 0);
  vertex(+250, +250, 1, 1);
  vertex(-250, +250, 0, 1);
  endShape();
}